:root {
  --primary-color: #121212;
  --secondary-color: #18777d;
  --tertiary-color: rgb(26, 26, 26);
  --quaternary-color: #c7c7c7;
  --map-tiles-filter: brightness(0.6) invert(1) contrast(3) hue-rotate(200deg)
    saturate(0.3) brightness(0.7);
}

.leaflet-layer,
.leaflet-control-zoom-in,
.leaflet-control-zoom-out,
.leaflet-control-attribution {
  filter: brightness(80%);
}
body {
  margin: 0;
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", "Roboto", "Oxygen",
    "Ubuntu", "Cantarell", "Fira Sans", "Droid Sans", "Helvetica Neue",
    sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  min-height: 100%;
  height: 100%;
  width: 100%;
  background-color: var(--primary-color);
  color: var(--quaternary-color);
}

html,
.App,
#root {
  height: 100%;
  width: 100%;
}

code {
  font-family: source-code-pro, Menlo, Monaco, Consolas, "Courier New",
    monospace;
}

.gridResponsive {
  position: absolute !important;
}

@media only screen and (min-width: 0px) {
  .gridResponsive {
    grid-template-areas:
      "a"
      "b"
      "c";
  }
}

@media only screen and (min-width: 100px) {
  .tableContainer {
    width: 200px;
  }
}

@media only screen and (min-width: 200px) {
  .tableContainer {
    width: 400px;
  }
}

@media only screen and (min-width: 400px) {
  .tableContainer {
    width: 500px;
  }
}

@media only screen and (min-width: 700px) {
  .gridResponsive {
    grid-template-areas:
      "a b"
      "c c";
  }
  .tableContainer {
    width: 800px;
  }
}

@media only screen and (min-width: 1400px) {
  .gridResponsive {
    grid-template-columns: 20% 20% 50%;
    grid-template-areas: "a b c";
  }
  .forecast {
    grid-auto-flow: column;
  }
  .tableContainer {
    width: 1500px;
  }
}

@media (prefers-color-scheme: dark) {
  .map-tiles {
    filter: var(--map-tiles-filter, none);
  }
}
